# $Revision: 1.22 $, $Date: 2011/07/28 16:56:19 $
Summary:	x11perf application - X11 server performance test program
Summary(pl.UTF-8):	Aplikacja x11perf do testowania wydajności serwera X11
Name:		xorg-app-x11perf
Version:	1.5.4
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/x11perf-%{version}.tar.bz2
# Source0-md5:	5c3c7431a38775caaea6051312a49bc9
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXft-devel
# just xmuu
BuildRequires:	xorg-lib-libXmu-devel
BuildRequires:	xorg-lib-libXrender-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The x11perf program runs one or more performance tests and reports how
fast an X server can execute the tests.

%description -l pl.UTF-8
Program x11perf uruchamia jeden lub więcej testów wydajnościowych i
informuje jak szybko serwer X jest w stanie wykonać te testy.

%prep
%setup -q -n x11perf-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/x11perf
%attr(755,root,root) %{_bindir}/x11perfcomp
%dir %{_libdir}/X11/x11perfcomp
%attr(755,root,root) %{_libdir}/X11/x11perfcomp/*
%{_mandir}/man1/Xmark.1x*
%{_mandir}/man1/x11perf.1x*
%{_mandir}/man1/x11perfcomp.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-x11perf.spec,v $
Revision 1.22  2011/07/28 16:56:19  qboosh
- updated to 1.5.4

Revision 1.21  2011/01/29 00:07:49  sparky
- dropped pre-cvs changelog

Revision 1.20  2011/01/07 20:01:30  qboosh
- updated to 1.5.3

Revision 1.19  2010/09/24 07:30:17  qboosh
- updated to 1.5.2

Revision 1.18  2009/10/17 22:31:08  qboosh
- updated to 1.5.1

Revision 1.17  2008/03/08 00:37:18  qboosh
- updated to 1.5

Revision 1.16  2007-04-30 23:03:18  qboosh
- informative descs from man

Revision 1.15  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.13  2006/10/15 14:58:18  qboosh
- more verbose files, release 1

Revision 1.12  2006/03/23 11:41:31  qboosh
- sorted BRs

Revision 1.11  2006/03/23 11:41:12  qboosh
- updated to 1.4.1

Revision 1.10  2006/01/12 13:32:37  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.9  2005/12/09 13:53:48  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.8  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.7  2005/10/21 05:56:53  qboosh
- removed outdated man patch, fixed appmandir

Revision 1.6  2005/10/21 01:02:43  jpc
- up to 0.99.1
- the -man patch is missing

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs
